Gecode::Int::Dom::ReIntSet< View, rm > Class Template Reference
Other available functionality » Integer propagators

Reified domain dom-propagator. More...

`#include <dom.hh>`

## Public Member Functions

virtual Actor * | copy (Space &home)
| Copy propagator during cloning.
virtual ExecStatus | propagate (Space &home, const ModEventDelta &med)
| Perform propagation.
virtual size_t | dispose (Space &home)
| Delete propagator and return its size.
Public Member Functions inherited from Gecode::Int::ReUnaryPropagator< View, PC_INT_DOM, BoolView >
virtual PropCost | cost (const Space &home, const ModEventDelta &med) const
| Cost function (defined as low unary).
virtual void | reschedule (Space &home)
| Schedule function.
ModEventDelta | modeventdelta (void) const
| Return the modification event delta.
virtual ExecStatus | advise (Space &home, Advisor &a, const Delta &d)
| Advise function.
virtual void | advise (Space &home, Advisor &a)
| Run advisor a to be run on failure in failed space.
double | afc (void) const
| Return the accumlated failure count.
unsigned int | id (void) const
| Return propagator id.
PropagatorGroup | group (void) const
| Return group propagator belongs to.
void | group (PropagatorGroup g)
| Add propagator to group g.
bool | disabled (void) const
| Whether propagator is currently disabled.
virtual | ~Actor (void)
| To avoid warnings.

## Static Public Member Functions

static ExecStatus | post (Home home, View x, const IntSet &s, BoolView b)
| Post propagator for .
static void * | operator new (size_t s, Space &home)
| Allocate memory from space.
static void | operator delete (void *p, Space &home)
| No-op for exceptions.
static void * | operator new (size_t s)
| Not used.
static void | operator delete (void *p)
| Not used.

## Protected Member Functions

| ReIntSet (Space &home, ReIntSet &p)
| Constructor for cloning p.
| ReIntSet (Home home, View x, const IntSet &s, BoolView b)
| Constructor for creation.
Protected Member Functions inherited from Gecode::Int::ReUnaryPropagator< View, PC_INT_DOM, BoolView >
| ReUnaryPropagator (Space &home, ReUnaryPropagator &p)
| Constructor for cloning p.
Protected Member Functions inherited from Gecode::Propagator
| Propagator (Home home)
| Constructor for posting.
| Propagator (Space &home, Propagator &p)
| Constructor for cloning p.
Propagator * | fwd (void) const
| Return forwarding pointer during copying.
Kernel::GPI::Info & | gpi (void)
| Provide access to global propagator information.

## Protected Attributes

IntSet | is
| Domain
Protected Attributes inherited from Gecode::Int::ReUnaryPropagator< View, PC_INT_DOM, BoolView >
View | x0
| Single view.
BoolView | b
| Boolean control view.

## Detailed Description

template<class View, ReifyMode rm>
class Gecode::Int::Dom::ReIntSet< View, rm >

Reified domain dom-propagator.

Requires

#include <gecode/int/dom.hh>
dom.hh

Definition at line 84 of file dom.hh.

## Constructor & Destructor Documentation

## ReIntSet() [1/2]

template<class View, ReifyMode rm>

Gecode::Int::Dom::ReIntSet< View, rm >::ReIntSet | ( | Space & | home,
|  | ReIntSet< View, rm > & | p )

inline protected

Constructor for cloning p.

Definition at line 81 of file set.hpp.

## ReIntSet() [2/2]

template<class View, ReifyMode rm>

Gecode::Int::Dom::ReIntSet< View, rm >::ReIntSet | ( | Home | home,
|  | View | x,
|  | const IntSet & | s,
|  | BoolView | b )

inline protected

Constructor for creation.

Definition at line 38 of file set.hpp.

## Member Function Documentation

## copy()

template<class View, ReifyMode rm>

Actor * Gecode::Int::Dom::ReIntSet< View, rm >::copy | ( | Space & | home | ) |

virtual

Copy propagator during cloning.

Implements Gecode::Actor.

Definition at line 87 of file set.hpp.

## propagate()

template<class View, ReifyMode rm>

ExecStatus Gecode::Int::Dom::ReIntSet< View, rm >::propagate | ( | Space & | home,
|  | const ModEventDelta & | med )

virtual

Perform propagation.

Implements Gecode::Propagator.

Definition at line 93 of file set.hpp.

## post()

template<class View, ReifyMode rm>

ExecStatus Gecode::Int::Dom::ReIntSet< View, rm >::post | ( | Home | home,
|  | View | x,
|  | const IntSet & | s,
|  | BoolView | b )

static

Post propagator for .

Definition at line 55 of file set.hpp.

## dispose()

template<class View, ReifyMode rm>

size_t Gecode::Int::Dom::ReIntSet< View, rm >::dispose | ( | Space & | home | ) |

inline virtual

Delete propagator and return its size.

Reimplemented from Gecode::Int::ReUnaryPropagator< View, PC_INT_DOM, BoolView >.

Definition at line 46 of file set.hpp.

## Member Data Documentation

## is

template<class View, ReifyMode rm>

IntSet Gecode::Int::Dom::ReIntSet< View, rm >::is

protected

Domain

Definition at line 90 of file dom.hh.

The documentation for this class was generated from the following files:

- gecode/int/dom.hh
- gecode/int/dom/set.hpp